summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-05 02:15:09 +0200
committerHolger Levsen <holger@layer-acht.org>2014-10-05 02:15:09 +0200
commitff0d8d849527bec10a37bac361cc7b5d3e31ac47 (patch)
treefb99676c00409463ec37964b374ecf515a1c9675 /bin/reproducible_build.sh
parent2d2f11d5f675244a688770e1312045839636b75f (diff)
downloadjenkins.debian.net-ff0d8d849527bec10a37bac361cc7b5d3e31ac47.tar.xz
reproducible: move db creation to _setup.sh
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh40
1 files changed, 8 insertions, 32 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 12ab291a..c55dc0b1 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -6,6 +6,14 @@
. /srv/jenkins/bin/common-functions.sh
common_init "$@"
+# define db
+PACKAGES_DB=/var/lib/jenkins/reproducible.db
+INIT=/var/lib/jenkins/reproducible.init
+if [ ! -f $PACKAGES_DB ] ; then
+ echo "$PACKAGES_DB doesn't exist, no builds possible."
+ exit 1
+fi
+
# FIXME: needed as long as #763328 (RFP: /usr/bin/diffp) is unfixed...
# fetch git repo for the diffp command used later
if [ -d debbindiff.git ] ; then
@@ -20,38 +28,6 @@ fi
mkdir -p results/
mkdir -p /var/lib/jenkins/userContent/diffp/ /var/lib/jenkins/userContent/pbuilder/
-# create sqlite db
-PACKAGES_DB=/var/lib/jenkins/reproducible.db
-if [ ! -f ${PACKAGES_DB} ] ; then
- sqlite3 ${PACKAGES_DB} '
- CREATE TABLE source_packages
- (name TEXT NOT NULL,
- version TEXT NOT NULL,
- status TEXT NOT NULL
- CHECK (status IN ("FTBFS","reproducible","unreproducible","404", "not for us")),
- build_date TEXT NOT NULL,
- diffp_path TEXT,
- PRIMARY KEY (name))'
- sqlite3 ${PACKAGES_DB} '
- CREATE TABLE source_stats
- (suite TEXT NOT NULL,
- amount INTEGER NOT NULL,
- PRIMARY KEY (suite))'
- sqlite3 ${PACKAGES_DB} '
- CREATE TABLE job_sources
- (name TEXT NOT NULL,
- job TEXT NOT NULL)'
- sqlite3 ${PACKAGES_DB} '
- CREATE TABLE sources
- (name TEXT NOT NULL,
- version TEXT NOT NULL)'
-fi
-# 30 seconds timeout when trying to get a lock
-INIT=/var/lib/jenkins/reproducible.init
-cat >/var/lib/jenkins/reproducible.init <<-EOF
-.timeout 30000
-EOF
-
# this needs sid entries in sources.list:
grep deb-src /etc/apt/sources.list | grep sid
# try apt-get update twice, else fail gracefully, aka not.